## nexus 4.4.3

=== CMakeLists.txt ===
## Process this file with cmake
#=============================================================================
#  NeXus - Neutron & X-ray Common Data Format
#
#  CMakeLists for building the NeXus library and applications.
#
# Copyright (C) 2008-2012 NeXus International Advisory Committee (NIAC)
#
#  This library is free software; you can redistribute it and/or modify it
#  under the terms of the GNU Lesser General Public License as published by the
#  Free Software Foundation; either version 2 of the License, or (at your
#  option) any later version.
#
#  This library is distributed in the hope that it will be useful, but WITHOUT
#  ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
#  FITNESS FOR A PARTICULAR PURPOSE.  See the GNU Lesser General Public License
#  for more details.
#
#  You should have received a copy of the GNU Lesser General Public License
#  along with this library; if not, write to the Free Software Foundation,
#  Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
#
#  For further information, see <http://www.nexusformat.org>
#
#==============================================================================

cmake_minimum_required(VERSION 2.8.7)

if(NOT CMAKE_BUILD_TYPE)
  set(CMAKE_BUILD_TYPE "Debug" CACHE STRING
      "Choose the type of build, options are: Debug Release RelWithDebInfo MinSizeRel."
      FORCE)
endif(NOT CMAKE_BUILD_TYPE)

#The name of our project
project (NeXus)
enable_testing()

#set the module path
set(CMAKE_MODULE_PATH "${PROJECT_SOURCE_DIR}/cmake_include")

#set some custom targets
add_custom_target(html)

#-----------------------------------------------------------------------------
# setup installation directories
#
# This is an OS specific task and we need to take care about the target 
# architecture. 
#-----------------------------------------------------------------------------
if(CMAKE_HOST_UNIX)
    #easy on Unix - just follow the GNU standard
    include(GNUInstallDirs)
    set(STATIC_LIBRARY_SUFFIX "")
    set(NEXUS_INSTALL_SHLIB ${CMAKE_INSTALL_LIBDIR})
else()
    set(CMAKE_INSTALL_LIBDIR lib)
    set(CMAKE_INSTALL_DOCDIR doc)
    set(CMAKE_INSTALL_INCLUDEDIR include)
    set(CMAKE_INSTALL_MANDIR man)
    set(CMAKE_INSTALL_BINDIR bin)
    set(STATIC_LIBRARY_SUFFIX "Static")
    set(NEXUS_INSTALL_SHLIB ${CMAKE_INSTALL_BINDIR})
endif() 


#-----------------------------------------------------------------------------
# define package version
#-----------------------------------------------------------------------------
set (API_VERSION_MAJOR 4)
set (API_VERSION_MINOR 4)
set (API_VERSION_PATCH 2)
set (API_VERSION "${API_VERSION_MAJOR}.${API_VERSION_MINOR}.${API_VERSION_PATCH}")
set (ABI_CURRENT 1)
set (ABI_REVISION 0)
set (ABI_AGE 0)
set (ABI_VERSION "${ABI_CURRENT}.${ABI_REVISION}.${ABI_AGE}")

set (NEXUS_VERSION_MAJOR 4)
set (NEXUS_VERSION_MINOR 4)
set (NEXUS_VERSION_PATCH 2)
set (NEXUS_SONAME 4)
set (NAPI_VERSION "${NEXUS_VERSION_MAJOR}.${NEXUS_VERSION_MINOR}.${NEXUS_VERSION_PATCH}")
set (NXLTVERSINFO "${NEXUS_VERSION_MAJOR}:${NEXUS_VERSION_MINOR}:${NEXUS_VERSION_PATCH}")

#-----------------------------------------------------------------------------
# define command line options by which the user can configure the build
#-----------------------------------------------------------------------------
option(ENABLE_HDF5      "Build with HDF5 support" ON)
option(ENABLE_HDF4      "Build with HDF4 support" OFF)
option(ENABLE_MXML      "Build with XML support" OFF)
option(ENABLE_CONTRIB   "Build the user contributions" OFF)
option(ENABLE_FORTRAN90 "Build the Fortran 90 bindings" OFF)
option(ENABLE_FORTRAN77 "Build the Fortran 77 bindings" OFF)
option(ENABLE_JAVA      "Build Java bindings" OFF)
option(ENABLE_CXX       "Build C++ bindings" OFF)
option(ENABLE_APPS      "Build utility applications" OFF)
option(ENABLE_NXINTER   "Build Tcl-Swig Binding" OFF)

#show this only on Windows systems
if(CMAKE_HOST_WIN32)
    option(MINGW_MSYS   "We are building under MINGW." OFF)
    option(HAVE_MS_LIB  "We are building under MINGW." OFF)
endif()

#-----------------------------------------------------------------------------
# include some general purpose modules
#-----------------------------------------------------------------------------
include(Utilities)
include(CompilerChecks)
include(InstallRequiredSystemLibraries)

#-----------------------------------------------------------------------------
# check for package config
#-----------------------------------------------------------------------------
include(FindPkgConfig)

#include(cmake_include/FindCBFLib.cmake)
#include(cmake_include/FindJava.cmake)
#include(cmake_include/FindJNI.cmake)
#include(cmake_include/FindGuile.cmake)
#include(cmake_include/FindMZScheme.cmake)
#include(cmake_include/FindIDL.cmake)

#------------------------------------------------------------------------------
# a list of libraries we have to link NAPI against
# we need this in the global scope as all other programs have to be
# linked against this libraries as well - in this early stage there is
# no pkg-config we could use!
#------------------------------------------------------------------------------
set(NAPI_LINK_LIBS)

#------------------------------------------------------------------------------
# if requested by the user - check for MXMLlibraries
#------------------------------------------------------------------------------
if(ENABLE_MXML)
    include(FindMXML)
    # the required libraries are appended to
    # NAPI_LINK_LIBS by this module
    set(WITH_MXML TRUE)
else()
    #in all cases we build the libary without MXML
    message(STATUS "Build without MXML support!")
endif()

#------------------------------------------------------------------------------
# if requested by the user - check for HDF4 libraries
#------------------------------------------------------------------------------
if(ENABLE_HDF4)
    include(FindHDF4)

    message(STATUS "HDF4 library found in: ${HDF4_LIBRARY_DIRS}")
    message(STATUS "HDF4 headers found in: ${HDF4_INCLUDE_DIRS}")

    # the required libraries are appended to
    # NAPI_LINK_LIBS by this module
    set(WITH_HDF4 TRUE)
else()
    message(STATUS "Build without HDF4 support!")
endif()

#------------------------------------------------------------------------------
# if requested by the user - check for HDF5 libraries
#------------------------------------------------------------------------------
if(ENABLE_HDF5)

    message (STATUS "${HDF5_COMPONENTS}")
    if (ENABLE_CXX)
        find_package ( HDF5 COMPONENTS CXX HL REQUIRED )
    else()
        find_package ( HDF5 REQUIRED )
    endif()
    
    find_package(ZLIB)

    # Hide annoying and confusing "HDF5_DIR-NOTFOUND" in CMake-GUI
    if (HDF5_DIR STREQUAL "HDF5_DIR-NOTFOUND")
      unset (HDF5_DIR CACHE)
    endif()

    set(HAVE_HDF5 1)
    list(APPEND NAPI_LINK_LIBS ${HDF5_LIBRARIES} ${ZLIB_LIBRARIES})
    set(WITH_HDF5 TRUE)

    message(STATUS "HDF5 library found in: ${HDF5_LIBRARY_DIRS}")
    message(STATUS "HDF5 headers found in: ${HDF5_INCLUDE_DIRS}")
else()
    message(STATUS "Build without HDF5 support!")
endif()

message(STATUS "Link with: ${NAPI_LINK_LIBS}")

#------------------------------------------------------------------------------
# enable FORTRAN bindings if requested by the user
#------------------------------------------------------------------------------
if(ENABLE_FORTRAN90 OR ENABLE_FORTRAN77)
    enable_language(Fortran)
    
    set(CMAKE_Fortran_FLAGS "${CMAKE_Fortran_FLAGS} -Wall -fbacktrace -pedantic -fcheck=all -Wextra")
    message(STATUS ${CMAKE_Fortran_FLAGS})
endif()

#-----------------------------------------------------------------------------
# if contributed programs are built we have to add JPEG as a requirement 
# for nxextract
#-----------------------------------------------------------------------------
if(ENABLE_CONTRIB)
    find_package(JPEG REQUIRED)
endif()

#include(cmake_include/FindOpenGenie.cmake)
#include(cmake_include/FindSZIP.cmake)
#include(cmake_include/FindAnt.cmake)

if(ENABLE_NXINTER)
    find_package(SWIG REQUIRED)
    find_package(TCL REQUIRED)
endif()

#find_package(XMLRPC)
find_package(ZLIB)
find_package(LibXml2)
#find_package(LATEX)
#find_package(PythonInterp)

#Find the java runtime and sdk
#if(ENABLE_JAVA_BINDINGS)
#    find_package(Java 1.6)
#    find_package(JNI)
#endif()


find_library(PTHREAD pthread)
if(PTHREAD)
   set(PTHREAD_LINK "-lpthread")

   #this fixes an issue on OpenSuse 13.2 where the MXML library is not 
   #prelinked with threads
   if(WITH_MXML)
       list(APPEND NAPI_LINK_LIBS ${PTHREAD_LINK})
   endif()
endif(PTHREAD)

include_directories("${PROJECT_BINARY_DIR}/include"
                    "${PROJECT_SOURCE_DIR}/include")

set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} ${NX_CFLAGS}")
set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} ${NX_CFLAGS}")

# Recurse into the subdirectories.
add_subdirectory (include)     #install header files
add_subdirectory (src)         #build the binaries
add_subdirectory (test)        #build the tests
add_subdirectory (bindings)    #build the language bindings
add_subdirectory (scripts)     #install pkg-config files

#on user request utility applications will be built
if(ENABLE_APPS)
    add_subdirectory (applications)
endif()

add_subdirectory (doc)
#add_subdirectory (config)

if(ENABLE_CONTRIB)
    add_subdirectory (contrib)
endif()

#add_subdirectory (InstallerBits)
#add_subdirectory (macosx_install_kit)
#add_subdirectory (scripts)
#add_subdirectory (third_party)
#add_subdirectory (windows)
#add_subdirectory (Windows_extra)

#
# set CPack packaging options
#

# needed for windows NSIS installer
if (CMAKE_SIZEOF_VOID_P MATCHES "8")
    set(ARCH64 1)
	set(ARCHSUFFIX "64")
else()
    set(ARCH64 0)
	set(ARCHSUFFIX "")
endif()

if(WIN32)
	file(GLOB HDF4_DLLS "${HDF4_LIBRARY_DIRS}/../bin/*.dll")
	# for some reason HDF5_LIBRARY_DIRS is blank
	file(GLOB HDF5_DLLS "${HDF5_INCLUDE_DIRS}/../bin/*.dll")
	file(GLOB_RECURSE MXML_DLLS "${MXML_LIBRARY_DIRS}/*.dll")
	install(FILES ${HDF4_DLLS} ${HDF5_DLLS} ${MXML_DLLS} DESTINATION bin COMPONENT Runtime)
	INSTALL(FILES ${CMAKE_INSTALL_SYSTEM_RUNTIME_LIBS} DESTINATION bin COMPONENT Runtime) 
endif()

file(TO_NATIVE_PATH ${PROJECT_SOURCE_DIR} PROJECT_SOURCE_DIR_NATIVE) 
file(TO_NATIVE_PATH ${PROJECT_BINARY_DIR} PROJECT_BINARY_DIR_NATIVE) 
string(REPLACE "\\" "\\\\" PROJECT_SOURCE_DIR_NATIVE_D ${PROJECT_SOURCE_DIR_NATIVE})
string(REPLACE "\\" "\\\\" PROJECT_BINARY_DIR_NATIVE_D ${PROJECT_BINARY_DIR_NATIVE})

configure_file("${PROJECT_SOURCE_DIR}/CPackOptions.cmake.in" "${PROJECT_BINARY_DIR}/CPackOptions.cmake"  @ONLY)
set (CPACK_PROJECT_CONFIG_FILE "${PROJECT_BINARY_DIR}/CPackOptions.cmake")
set (CPACK_GENERATOR TGZ) # not use ZIP on UNIX as problem with symlinks
set (CPACK_SOURCE_GENERATOR TGZ) # not use ZIP on UNIX as problem with symlinks
if(WIN32)
    set (CPACK_GENERATOR ${CPACK_GENERATOR};ZIP;NSIS)
    set (CPACK_SOURCE_GENERATOR ${CPACK_SOURCE_GENERATOR};ZIP) 
elseif(APPLE)
    set (CPACK_GENERATOR ${CPACK_GENERATOR};PackageMaker)
elseif(CYGWIN)
    set (CPACK_GENERATOR ${CPACK_GENERATOR};CygwinBinary)
    set (CPACK_SOURCE_GENERATOR ${CPACK_SOURCE_GENERATOR};CygwinSource) 
elseif(UNIX)
    set (CPACK_GENERATOR ${CPACK_GENERATOR};DEB;RPM)
endif()
# Include of CPack must always be last
include(CPack)

=== applications/CMakeLists.txt ===
## Process this file with cmake
#====================================================================
#  NeXus - Neutron & X-ray Common Data Format
#
#  CMakeLists for building the NeXus library and applications.
#
#  Copyright (C) 2010 Stephen Rankin
#
#  This library is free software; you can redistribute it and/or
#  modify it under the terms of the GNU Lesser General Public
#  License as published by the Free Software Foundation; either
#  version 2 of the License, or (at your option) any later version.
#
#  This library is distributed in the hope that it will be useful,
#  but WITHOUT ANY WARRANTY; without even the implied warranty of
#  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
#  Lesser General Public License for more details.
#
#  You should have received a copy of the GNU Lesser General Public
#  License along with this library; if not, write to the Free
#  Software Foundation, Inc., 59 Temple Place, Suite 330, Boston,
#  MA  02111-1307  USA
#
#  For further information, see <http://www.nexusformat.org>
#
#
#====================================================================

#--------------------------------------------------------------------
# checking for additional build dependencies pulled in by the 
# applications. 
#--------------------------------------------------------------------
#The LibXML 2 Libraries
find_package(LibXml2)

find_library(READLINE readline)
if(READLINE)
   set(HAVE_LIBREADLINE 1)
   set(READLINE_LINK "readline")
endif(READLINE)

find_library(TERMCAP termcap)
if(TERMCAP)
   set(TERMCAP_LINK "")
endif(TERMCAP)

find_library(HISTORY history)
if(HISTORY)
   set(HISTORY_LINK "")
endif(HISTORY)

find_library(M m)
if(M)
   set(M_LINK "-lm")
endif(M)

find_library(DL dl)
if(DL)
   set(DL_LINK "-ldl")
endif(DL)

# Recurse into the subdirectories.
include_directories("../include")

#-----------------------------------------------------------------------------
# proceed with building the programs
#-----------------------------------------------------------------------------

add_subdirectory (NXbrowse)
#add_subdirectory(c-nxvalidate)

if (ENABLE_CXX)
  add_subdirectory (NXdir)
  add_subdirectory (NXconvert)
  add_subdirectory (NXtraverse)
endif()

if (ENABLE_FORTRAN90 AND CMAKE_Fortran_COMPILER_WORKS)
    add_subdirectory (NXdump)
endif()


if(LIBXML2_FOUND)
    add_subdirectory (NXsummary)
    add_subdirectory (NXtranslate)
endif(LIBXML2_FOUND)

if (WITH_MXML)
    add_subdirectory (nxingest)
endif()

#-----------------------------------------------------------------------------
# programs built in the original distribution 
#
# currently not supported
#-----------------------------------------------------------------------------
#install (PROGRAMS nxdiff DESTINATION bin COMPONENT Runtime)

=== bindings/CMakeLists.txt ===
## Process this file with cmake
#====================================================================
#  NeXus - Neutron & X-ray Common Data Format
#  
#  CMakeLists for building the NeXus library and applications.
#
#  Copyright (C) 2011 Stephen Rankin
#  
#  This library is free software; you can redistribute it and/or
#  modify it under the terms of the GNU Lesser General Public
#  License as published by the Free Software Foundation; either
#  version 2 of the License, or (at your option) any later version.
# 
#  This library is distributed in the hope that it will be useful,
#  but WITHOUT ANY WARRANTY; without even the implied warranty of
#  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
#  Lesser General Public License for more details.
# 
#  You should have received a copy of the GNU Lesser General Public
#  License along with this library; if not, write to the Free 
#  Software Foundation, Inc., 59 Temple Place, Suite 330, Boston, 
#  MA  02111-1307  USA
#             
#  For further information, see <http://www.nexusformat.org>
#
#
#====================================================================
# Recurse into the subdirectories.
if(ENABLE_CXX)
    add_subdirectory (cpp)
endif()

if(ENABLE_FORTRAN90 OR ENABLE_FORTRAN77)
    enable_language(Fortran)
endif()

if(ENABLE_FORTRAN77)
    add_subdirectory (f77)
endif()


if(ENABLE_FORTRAN90)
    add_subdirectory (f90)
endif()

#add_subdirectory (idl)
#if (NOT(Java_JAVAC_EXECUTABLE MATCHES NOTFOUND))
#    add_subdirectory (java)
#endif ()
#add_subdirectory (matlab)
#if (PYTHONINTERP_FOUND)
#    add_subdirectory (python)
#endif (PYTHONINTERP_FOUND)

if(ENABLE_NXINTER)
	add_subdirectory (swig)
endif()

=== contrib/CMakeLists.txt ===
## Process this file with cmake
#=============================================================================
#  NeXus - Neutron & X-ray Common Data Format
#  
#  CMakeLists for building the NeXus library and applications.
#
#  Copyright (C) 2011 Stephen Rankin
#  
#  This library is free software; you can redistribute it and/or modify it
#  under the terms of the GNU Lesser General Public License as published by the
#  Free Software Foundation; either version 2 of the License, or (at your
#  option) any later version.
# 
#  This library is distributed in the hope that it will be useful, but WITHOUT
#  ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
#  FITNESS FOR A PARTICULAR PURPOSE.  See the GNU Lesser General Public License
#  for more details.
# 
#  You should have received a copy of the GNU Lesser General Public License
#  along with this library; if not, write to the Free Software Foundation,
#  Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
#             
#  For further information, see <http://www.nexusformat.org>
#
#
#=============================================================================

add_subdirectory (applications)

=== doc/CMakeLists.txt ===
## Process this file with cmake
#====================================================================
#  NeXus - Neutron & X-ray Common Data Format
#  
#  CMakeLists for building the NeXus library and applications.
#
#  Copyright (C) 2011 Stephen Rankin
#  
#  This library is free software; you can redistribute it and/or
#  modify it under the terms of the GNU Lesser General Public
#  License as published by the Free Software Foundation; either
#  version 2 of the License, or (at your option) any later version.
# 
#  This library is distributed in the hope that it will be useful,
#  but WITHOUT ANY WARRANTY; without even the implied warranty of
#  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
#  Lesser General Public License for more details.
# 
#  You should have received a copy of the GNU Lesser General Public
#  License along with this library; if not, write to the Free 
#  Software Foundation, Inc., 59 Temple Place, Suite 330, Boston, 
#  MA  02111-1307  USA
#             
#  For further information, see <http://www.nexusformat.org>
#
#
#====================================================================


add_subdirectory (doxygen)

install (FILES README.doc 
         DESTINATION ${CMAKE_INSTALL_DOCDIR} 
         COMPONENT Documentation)

=== include/CMakeLists.txt ===
## Process this file with cmake
#==============================================================================
#  NeXus - Neutron & X-ray Common Data Format
#  
#  CMakeLists for building the NeXus library and applications.
#
#  Copyright (C) 2011 Stephen Rankin
#  
#  This library is free software; you can redistribute it and/or modify it
#  under the terms of the GNU Lesser General Public License as published by the
#  Free Software Foundation; either version 2 of the License, or (at your
#  option) any later version.
# 
#  This library is distributed in the hope that it will be useful, but WITHOUT
#  ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
#  FITNESS FOR A PARTICULAR PURPOSE.  See the GNU Lesser General Public License
#  for more details.
# 
#  You should have received a copy of the GNU Lesser General Public License
#  along with this library; if not, write to the Free Software Foundation,
#  Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
#             
#  For further information, see <http://www.nexusformat.org>
#
#
#==============================================================================


SET(INCLUDE_FILES napiu.h)

configure_file(nxconfig.h.in nxconfig.h @ONLY)
configure_file(napi.h.in napi.h)

INSTALL (FILES ${INCLUDE_FILES} 
         DESTINATION ${CMAKE_INSTALL_INCLUDEDIR}/nexus  COMPONENT Development)
     INSTALL (FILES ${CMAKE_CURRENT_BINARY_DIR}/napi.h 
                    ${CMAKE_CURRENT_BINARY_DIR}/nxconfig.h
         DESTINATION ${CMAKE_INSTALL_INCLUDEDIR}/nexus COMPONENT Development)

=== scripts/CMakeLists.txt ===

configure_file(nexus.pc.in nexus.pc @ONLY)
configure_file(nexus-cpp.pc.in nexus-cpp.pc @ONLY)
configure_file(nexus-f77.pc.in nexus-f77.pc @ONLY)

install(FILES ${CMAKE_CURRENT_BINARY_DIR}/nexus.pc  
              ${CMAKE_CURRENT_BINARY_DIR}/nexus-cpp.pc
              ${CMAKE_CURRENT_BINARY_DIR}/nexus-f77.pc
        DESTINATION ${CMAKE_INSTALL_LIBDIR}/pkgconfig)

=== src/CMakeLists.txt ===
## Process this file with cmake
#=============================================================================
#  NeXus - Neutron & X-ray Common Data Format
#
#  CMakeLists for building the NeXus library and applications.
#
#  Copyright (C) 2011 Stephen Rankin
#
#  This library is free software; you can redistribute it and/or modify it
#  under the terms of the GNU Lesser General Public License as published by the
#  Free Software Foundation; either version 2 of the License, or (at your
#  option) any later version.
#
#  This library is distributed in the hope that it will be useful, but WITHOUT
#  ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
#  FITNESS FOR A PARTICULAR PURPOSE.  See the GNU Lesser General Public License
#  for more details.
#
#  You should have received a copy of the GNU Lesser General Public License
#  along with this library; if not, write to the Free Software Foundation,
#  Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
#
#  For further information, see <http://www.nexusformat.org>
#
#
#=============================================================================

add_definitions(-DIN_NEXUS_LIBRARY=1 ${NX_CPP})

# this means a static nexus library will use a DLL HDF5. OK for now,
# but may want to change later. 
if (WIN32)
add_definitions(-DH5_BUILT_AS_DYNAMIC_LIB=1)
endif (WIN32)

configure_file(nexus_symbols.txt nexus_symbols.sym COPYONLY)
#set(CMAKE_SHARED_LINKER_FLAGS "${CMAKE_SHARED_LINKER_FLAGS} -Wl,--version-script=nexus_symbols.sym")

#-----------------------------------------------------------------------------
# generate list of common source files
#-----------------------------------------------------------------------------
set (NAPISRC napi.c napiu.c nxstack.c nxstack.h stptok.c  nxdataset.c 
             napi_fortran_helper.c
             nxdataset.h nx_stptok.h)

set (NAPILINK)

#-----------------------------------------------------------------------------
# add HDF4 specific source files
#-----------------------------------------------------------------------------
if (WITH_HDF4)
  set (NAPISRC ${NAPISRC} napi4.c)
  include_directories(${HDF4_INCLUDE_DIRS} ${JPEG_INCLUDE_DIR})
  link_directories(${HDF4_LIBRARY_DIRS})
endif(WITH_HDF4)

#-----------------------------------------------------------------------------
# add HDF5 specific source files
#-----------------------------------------------------------------------------
if (WITH_HDF5)
  set (NAPISRC ${NAPISRC} napi5.c)
  add_definitions(-DH5_USE_18_API=1)
  include_directories(${HDF5_INCLUDE_DIRS})
  link_directories(${HDF5_LIBRARY_DIRS})
endif (WITH_HDF5)

#-----------------------------------------------------------------------------
# add XML specific source files
#-----------------------------------------------------------------------------
if(WITH_MXML)
    set (NAPISRC ${NAPISRC} nxxml.c nxio.c nxio.h)
	include_directories(${MXML_INCLUDE_DIRS})
    link_directories(${MXML_LIBRARY_DIRS})
endif(WITH_MXML)

set_property(SOURCE ${NAPISRC} APPEND PROPERTY COMPILE_FLAGS ${NX_CFLAGS})

#------------------------------------------------------------------------------
# building the static library
#------------------------------------------------------------------------------
add_library (NeXus_Static_Library STATIC ${NAPISRC})

set_target_properties(NeXus_Static_Library PROPERTIES 
                      OUTPUT_NAME NeXus${STATIC_LIBRARY_SUFFIX})

target_link_libraries(NeXus_Static_Library ${NAPI_LINK_LIBS})
#------------------------------------------------------------------------------
# building the shared library
#------------------------------------------------------------------------------
add_library (NeXus_Shared_Library SHARED ${NAPISRC})

set_target_properties(NeXus_Shared_Library PROPERTIES 
                      OUTPUT_NAME NeXus
                      VERSION ${ABI_VERSION}
                      SOVERSION ${ABI_CURRENT})
if(MSVC)
set_target_properties(NeXus_Shared_Library PROPERTIES LINK_FLAGS 
                           "/DEF:\"${CMAKE_CURRENT_SOURCE_DIR}/NeXus.def\"")
endif(MSVC)

target_link_libraries(NeXus_Shared_Library ${NAPI_LINK_LIBS})


#------------------------------------------------------------------------------
# install the targets
#-----------------------------------------------------------------------------
install (TARGETS NeXus_Shared_Library
         RUNTIME DESTINATION ${NEXUS_INSTALL_SHLIB} COMPONENT Runtime
         ARCHIVE DESTINATION ${CMAKE_INSTALL_LIBDIR} COMPONENT Development
         LIBRARY DESTINATION ${CMAKE_INSTALL_LIBDIR} COMPONENT Development)

install (TARGETS NeXus_Static_Library 
         DESTINATION ${CMAKE_INSTALL_LIBDIR}
         COMPONENT Development)

=== test/CMakeLists.txt ===
## Process this file with cmake
#==============================================================================
#  NeXus - Neutron & X-ray Common Data Format
#  
#  CMakeLists for building the NeXus library and applications.
#
#  Copyright (C) 2011 Stephen Rankin
#  
#  This library is free software; you can redistribute it and/or modify it
#  under the terms of the GNU Lesser General Public License as published by the
#  Free Software Foundation; either version 2 of the License, or (at your
#  option) any later version.
# 
#  This library is distributed in the hope that it will be useful, but WITHOUT
#  ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
#  FITNESS FOR A PARTICULAR PURPOSE.  See the GNU Lesser General Public License
#  for more details.
# 
#  You should have received a copy of the GNU Lesser General Public License
#  along with this library; if not, write to the Free Software Foundation,
#  Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
#             
#  For further information, see <http://www.nexusformat.org>
#
#
#==============================================================================

set(NAPITESTSRC napi_test.c)

#------------------------------------------------------------------------------
# Need to copy the test data files 
#------------------------------------------------------------------------------
add_subdirectory(data)

include_directories(${PROJECT_SOURCE_DIR}/include )
link_directories(${HDF5_LIBRARY_DIRS} 
                 ${HDF4_LIBRARY_DIRS}
                 ${MXML_LIBRARY_DIRS})

if (WIN32)
  set(TESTSPATH "$ENV{HDF4_ROOT}/bin;$ENV{HDF5_ROOT}/bin;$ENV{MXML_ROOT};${CMAKE_INSTALL_PREFIX}/${CMAKE_INSTALL_BINDIR};$ENV{PATH}")
  STRING(REPLACE "/" "\\" TESTSPATH "${TESTSPATH}")
  STRING(REPLACE "\\;" ";" TESTSPATH "${TESTSPATH}")
  STRING(REPLACE ";" "\\;" TESTSPATH "${TESTSPATH}") 
endif(WIN32)

#------------------------------------------------------------------------------
# In all cases we have to build the C-tests
#------------------------------------------------------------------------------
if(WITH_HDF5)
    add_executable(napi_test_hdf5 napi_test.c)
    target_link_libraries(napi_test_hdf5 NeXus_Shared_Library)
    add_test(NAME "NAPI-C-HDF5-test" COMMAND  napi_test_hdf5)
    
    add_executable(napi_attra_test_hdf5 napi_attra_test.c)
    target_link_libraries(napi_attra_test_hdf5 NeXus_Shared_Library)
    add_test(NAME "NAPI-C-HDF5-attra-test" COMMAND  napi_attra_test_hdf5)

    if (WIN32)
      set_property(TEST "NAPI-C-HDF5-test" "NAPI-C-HDF5-attra-test" APPEND PROPERTY ENVIRONMENT "PATH=${TESTSPATH}")
    endif(WIN32)
endif()

if(WITH_HDF4)
    add_executable(napi_test_hdf4 napi_test.c)
    target_link_libraries(napi_test_hdf4 NeXus_Shared_Library)
    add_test(NAME "NAPI-C-HDF4-test"
             COMMAND  napi_test_hdf4)
             
    add_executable(napi_attra_test_hdf4 napi_attra_test.c)
    target_link_libraries(napi_attra_test_hdf4 NeXus_Shared_Library) 
    add_test(NAME "NAPI-C-HDF4-attra-test" COMMAND  napi_attra_test_hdf4)
    set_tests_properties("NAPI-C-HDF4-attra-test" PROPERTIES WILL_FAIL TRUE)

    if (WIN32)
      set_property(TEST "NAPI-C-HDF4-test" "NAPI-C-HDF4-attra-test" APPEND PROPERTY ENVIRONMENT "PATH=${TESTSPATH}")
    endif(WIN32)
endif()

if(WITH_MXML)
    add_executable(napi_test-xml napi_test.c)
    target_link_libraries(napi_test-xml NeXus_Shared_Library)
    add_test(NAME "NAPI-C-MXML-test"
             COMMAND  napi_test-xml)
             
    add_executable(napi_test-xml-table napi_test.c)
    target_link_libraries(napi_test-xml-table NeXus_Shared_Library)
    add_test(NAME "NAPI-C-MXML-TABLE-test"
             COMMAND  napi_test-xml-table)
             
    add_executable(napi_attra_test_xml napi_attra_test.c)
    target_link_libraries(napi_attra_test_xml NeXus_Shared_Library)
    add_test(NAME "NAPI-C-MXML-attra-test" COMMAND napi_attra_test_xml)
    set_tests_properties("NAPI-C-MXML-attra-test" PROPERTIES WILL_FAIL TRUE)

    if (WIN32)
      set_property(TEST "NAPI-C-MXML-test" "NAPI-C-MXML-TABLE-test" "NAPI-C-MXML-attra-test" APPEND PROPERTY ENVIRONMENT "PATH=${TESTSPATH}")
    endif(WIN32)
endif()

#------------------------------------------------------------------------------
# (most probably a) regression test 
#------------------------------------------------------------------------------
add_executable(leak_test1 leak_test1.c)
target_link_libraries(leak_test1 NeXus_Shared_Library)
add_test(NAME "NAPI-C-leak-test-1"
         COMMAND  leak_test1)
if (WIN32)
  set_property(TEST "NAPI-C-leak-test-1" APPEND PROPERTY ENVIRONMENT "PATH=${TESTSPATH}")
endif(WIN32)

#------------------------------------------------------------------------------
# Add test for unlimited dimensions 
#------------------------------------------------------------------------------
add_executable(test_nxunlimited test_nxunlimited.c)
target_link_libraries(test_nxunlimited  NeXus_Shared_Library)
add_test(NAME "NAPI-C-test-nxunlimited"
         COMMAND  test_nxunlimited)
if (WIN32)
  set_property(TEST "NAPI-C-test-nxunlimited" APPEND PROPERTY ENVIRONMENT "PATH=${TESTSPATH}")
endif(WIN32)
         

#------------------------------------------------------------------------------
# Add tests relevant to C++ bindings
#------------------------------------------------------------------------------
if(ENABLE_CXX)
    list(APPEND NAPITESTSRC napi_test_cpp.cxx)
    include_directories(../bindings/cpp)

    if(WITH_HDF5)
        add_executable(napi_test_cpp-hdf5 napi_test_cpp.cxx)
        target_link_libraries(napi_test_cpp-hdf5 NeXus_CPP_Shared_Library)
        add_test(NAME "NAPI-C++-HDF5-test" COMMAND  napi_test_cpp-hdf5)
        if (WIN32)
            set_property(TEST "NAPI-C++-HDF5-test" APPEND PROPERTY ENVIRONMENT "PATH=${TESTSPATH}")
        endif(WIN32)
    endif()

    if(WITH_HDF4)
        add_executable(napi_test_cpp-hdf4 napi_test_cpp.cxx)
        target_link_libraries(napi_test_cpp-hdf4 NeXus_CPP_Shared_Library)
        add_test(NAME "NAPI-C++-HDF4-test" COMMAND  napi_test_cpp-hdf4)
        if (WIN32)
            set_property(TEST "NAPI-C++-HDF4-test" APPEND PROPERTY ENVIRONMENT "PATH=${TESTSPATH}")
        endif(WIN32)
    endif()

    if(WITH_MXML)
        add_executable(napi_test_cpp-xml napi_test_cpp.cxx)
        target_link_libraries(napi_test_cpp-xml NeXus_CPP_Shared_Library)
        add_test(NAME "NAPI-C++-MXML-test" COMMAND  napi_test_cpp-xml)
        if (WIN32)
            set_property(TEST "NAPI-C++-MXML-test" APPEND PROPERTY ENVIRONMENT "PATH=${TESTSPATH}")
        endif(WIN32)

#        add_executable(napi_test_cpp-xml-table napi_test_cpp.cxx)
#        target_link_libraries(napi_test_cpp-xml-table NeXus_CPP_Shared_Library
#                              ${NAPI_LINK_LIBS})
#        add_test(NAME "NAPI-C++-MXML-TABLE-test"
#                 COMMAND napi_test_cpp-xml-table)
        
    endif()

    #--------------------------------------------------------------------------
    # build leak tests
    #--------------------------------------------------------------------------
    add_executable(leak_test2 leak_test2.cxx)
    target_link_libraries(leak_test2 NeXus_CPP_Shared_Library)
    add_test(NAME "NAPI-C++-leak-test-2" 
             COMMAND  leak_test2)
    if (WIN32)
      set_property(TEST "NAPI-C++-leak-test-2" APPEND PROPERTY ENVIRONMENT "PATH=${TESTSPATH}")
    endif(WIN32)

    add_executable(leak_test3 leak_test3.cxx)
    target_link_libraries(leak_test3 NeXus_CPP_Shared_Library)
    add_test(NAME "NAPI-C++-leak-test-3"
             COMMAND  leak_test3)
    if (WIN32)
      set_property(TEST "NAPI-C++-leak-test-3" APPEND PROPERTY ENVIRONMENT "PATH=${TESTSPATH}")
    endif(WIN32)
endif()

if(ENABLE_FORTRAN77)
    include_directories(${PROJECT_BINARY_DIR}/bindings/f77)
    include_directories(${PROJECT_SOURCE_DIR}/bindings/f77)
   
    if(WITH_HDF4)
        add_executable(napif4_test napif4_test.f)
        target_link_libraries(napif4_test NeXus_F77_Shared_Library)
        add_test(NAME "NAPI-F77-HDF4-test"
                 COMMAND  napif4_test)
    endif()
    
    if(WITH_HDF5)
        add_executable(napif5_test napif5_test.f)
        target_link_libraries(napif5_test NeXus_F77_Shared_Library)
        add_test(NAME "NAPI-F77-HDF5-test"
                 COMMAND  napif5_test)
    endif()

    if(WITH_MXML)
        add_executable(napif_test  napif_test.f)
        target_link_libraries(napif_test NeXus_F77_Shared_Library)
        add_test(NAME "NAPI-F77-XML-test"
                 COMMAND  napif_test)
    endif()

endif()

if(ENABLE_FORTRAN90)
    #need to add the directory with the .mod files to the include path
    include_directories(${PROJECT_BINARY_DIR}/bindings/f90)
    add_executable(NXtestf90 NXtest.f90)
    target_link_libraries(NXtestf90 NeXus_F90_Shared_Library)
    add_test(NAME "Fortran-90-test" COMMAND  NXtestf90)
endif()

=== third_party/CMakeLists.txt ===
## Process this file with cmake
#====================================================================
#  NeXus - Neutron & X-ray Common Data Format
#  
#  CMakeLists for building the NeXus library and applications.
#
#  Copyright (C) 2011 Stephen Rankin
#  
#  This library is free software; you can redistribute it and/or
#  modify it under the terms of the GNU Lesser General Public
#  License as published by the Free Software Foundation; either
#  version 2 of the License, or (at your option) any later version.
# 
#  This library is distributed in the hope that it will be useful,
#  but WITHOUT ANY WARRANTY; without even the implied warranty of
#  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
#  Lesser General Public License for more details.
# 
#  You should have received a copy of the GNU Lesser General Public
#  License along with this library; if not, write to the Free 
#  Software Foundation, Inc., 59 Temple Place, Suite 330, Boston, 
#  MA  02111-1307  USA
#             
#  For further information, see <http://www.nexusformat.org>
#
#
#====================================================================

add_subdirectory (tclap)

=== applications/NXbrowse/CMakeLists.txt ===
## Process this file with cmake
#==============================================================================
#  NeXus - Neutron & X-ray Common Data Format
#
#  CMakeLists for building the NeXus library and applications.
#
#  Copyright (C) 2011 Stephen Rankin
#
#  This library is free software; you can redistribute it and/or modify it under
#  the terms of the GNU Lesser General Public License as published by the Free
#  Software Foundation; either version 2 of the License, or (at your option) any
#  later version.
#
#  This library is distributed in the hope that it will be useful, but WITHOUT
#  ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
#  FOR A PARTICULAR PURPOSE.  See the GNU Lesser General Public License for more
#  details.
#
#  You should have received a copy of the GNU Lesser General Public License
#  along with this library; if not, write to the Free Software Foundation, Inc.,
#  59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
#
#  For further information, see <http://www.nexusformat.org>
#
#
#==============================================================================

#------------------------------------------------------------------------------
# build and link the executable
#------------------------------------------------------------------------------
if(HAVE_LIBREADLINE)
    add_definitions(-DHAVE_LIBREADLINE)
endif()

add_executable (nxbrowse NXbrowse.c)
target_link_libraries(nxbrowse NeXus_Shared_Library ${READLINE_LINK})

#------------------------------------------------------------------------------
# install binary and man-page
#------------------------------------------------------------------------------
install (TARGETS nxbrowse 
         DESTINATION ${CMAKE_INSTALL_BINDIR} COMPONENT Runtime)
install (FILES nxbrowse.1 
         DESTINATION ${CMAKE_INSTALL_MANDIR}/man1 COMPONENT Documentation)

=== applications/NXconvert/CMakeLists.txt ===
## Process this file with cmake
#====================================================================
#  NeXus - Neutron & X-ray Common Data Format
#
#  CMakeLists for building the NeXus library and applications.
#
#  Copyright (C) 2010 Stephen Rankin
#
#  This library is free software; you can redistribute it and/or
#  modify it under the terms of the GNU Lesser General Public
#  License as published by the Free Software Foundation; either
#  version 2 of the License, or (at your option) any later version.
#
#  This library is distributed in the hope that it will be useful,
#  but WITHOUT ANY WARRANTY; without even the implied warranty of
#  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
#  Lesser General Public License for more details.
#
#  You should have received a copy of the GNU Lesser General Public
#  License along with this library; if not, write to the Free
#  Software Foundation, Inc., 59 Temple Place, Suite 330, Boston,
#  MA  02111-1307  USA
#
#  For further information, see <http://www.nexusformat.org>
#
#
#====================================================================

#the third party library is required for the command line parser
#we maybe should replace this with boost::program_options
include_directories(../../third_party 
                    ../../bindings/cpp)

#-----------------------------------------------------------------------------
# build the program binary and the required libraries
#-----------------------------------------------------------------------------
set(SOURCES nxconvert.cpp nxconvert_common.h nxconvert_common.cpp)
add_executable (nxconvert ${SOURCES})
target_link_libraries(nxconvert NeXus_CPP_Shared_Library)

#-----------------------------------------------------------------------------
# install the libraries, the program binary, and the man-page
#-----------------------------------------------------------------------------
install (TARGETS nxconvert
         RUNTIME DESTINATION ${CMAKE_INSTALL_BINDIR} COMPONENT Runtime)

install (FILES nxconvert.1 
         DESTINATION ${CMAKE_INSTALL_MANDIR}/man1 
         COMPONENT Documentation)

=== debian/changelog ===
nexus (4.4.3-9) unstable; urgency=medium

  * Fix debian/not-installed for different architectures
    (and include the commit in the upload this time)

 -- Stuart Prescott <stuart@debian.org>  Fri, 26 Sep 2025 16:02:07 +1000

nexus (4.4.3-8) unstable; urgency=medium

  * Fix FTBFS with CMake 4 (Closes: #1113321).
  * Mark libnexus1 as Multi-Arch: same.
  * Switch to debhelper compat 13.
  * Fix FSF address in debian/copyright.
  * Drop unneeded linker flags.

 -- Stuart Prescott <stuart@debian.org>  Sat, 20 Sep 2025 14:24:54 +1000

nexus (4.4.3-7) unstable; urgency=medium

  * Team upload.
  * Fix Team name
  * Replace obsolete pkg-config with pkg-conf
  * Update Standards-Version to 4.7.2 (no changes required).

 -- Alexandre Detiste <tchet@debian.org>  Mon, 21 Apr 2025 19:44:20 +0200

nexus (4.4.3-6) unstable; urgency=medium

  * Update Standards-Version to 4.6.2 (no changes required).
  * Update debian/watch for github changes.
  * Add .class file to debian/clean to ensure clean target cleans everything
    (Closes: #1048825)

 -- Stuart Prescott <stuart@debian.org>  Mon, 02 Oct 2023 11:48:16 +1100

nexus (4.4.3-5) unstable; urgency=medium

  * Team upload.
  * Fixed the build failure with OpenJDK 17 (Closes:  #982027)

 -- Emmanuel Bourg <ebourg@apache.org>  Sat, 17 Apr 2021 22:59:32 +0200

nexus (4.4.3-4) unstable; urgency=medium

  * Add patch from upstream to not use functions deprecated from libxml2
    (Closes: #949419).
  * Update Standards-Version to 4.5.0 (no changes required).

 -- Stuart Prescott <stuart@debian.org>  Sun, 23 Feb 2020 11:02:53 +1100

nexus (4.4.3-3) unstable; urgency=medium

  * Try to fix random FTBFS:
    - add an extra dependency on creation of the header file
    - don't run tests in parallel to prevent them stomping over shared files

 -- Stuart Prescott <stuart@debian.org>  Mon, 09 Dec 2019 20:41:51 +1100

nexus (4.4.3-2) unstable; urgency=medium

  * Upload to unstable.
  * Add missing Breaks+Replaces on libnexus0-java (Closes: #942336), with
    thanks to Andreas Beckmann and piuparts.
  * Update Standards-Version to 4.4.1 (no changes required).

 -- Stuart Prescott <stuart@debian.org>  Mon, 09 Dec 2019 13:35:02 +1100

nexus (4.4.3-1) experimental; urgency=medium

  * New upstream release.
    - drop patches incorporated upstream.
    - drop patches for old build system.
    - change to cmake build system.
    - drop python-nxs package that is now a separate source (Closes: #896357,
      #937134).
    - stop building against MXML 3.0 until compatibility can be restored
      (Closes: #940108).
    - patch build system to handle newer Java (Closes: #893383).
  * Use debhelper-compat 12.
  * Update Standards-Version to 4.4.0 (no changes required).
  * Add autopkgtest tests.
  * Set Rules-Requires-Root: no.
  * Add myself to Uploaders.

 -- Stuart Prescott <stuart@debian.org>  Tue, 24 Sep 2019 23:33:22 +1000

=== debian/control ===
Source: nexus
Priority: optional
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders:
 Stuart Prescott <stuart@debian.org>
Build-Depends:
 cmake,
 debhelper-compat (= 13),
 default-jdk,
 doxygen,
 libhdf4-dev,
 libhdf5-dev,
#  libmxml-dev,
 libxml2-dev,
 pkgconf,
Standards-Version: 4.7.2
Section: science
Vcs-Browser: https://salsa.debian.org/science-team/nexus
Vcs-Git: https://salsa.debian.org/science-team/nexus.git
Homepage: https://github.com/nexusformat/code
Rules-Requires-Root: no

Package: libnexus1
Section: libs
Architecture: any
Multi-Arch: same
Depends:
 ${misc:Depends},
 ${shlibs:Depends}
Homepage: http://www.nexusformat.org/
Description: NeXus scientific data file format - runtime libraries
 NeXus is a common data format for neutron, X-ray, and muon science. It
 is being developed as an international standard by scientists and
 programmers representing major scientific facilities in Europe, Asia,
 Australia, and North America in order to facilitate greater cooperation
 in the analysis and visualization of neutron, X-ray, and muon data.
 .
 This is the package containing the runtime libraries.

Package: libnexus-dev
Section: libdevel
Architecture: any
Depends:
 libhdf4-dev,
 libhdf5-dev,
 libmxml-dev,
 libnexus1 (= ${binary:Version}),
 ${misc:Depends}
Homepage: http://www.nexusformat.org/
Description: NeXus scientific data file format - development libraries
 NeXus is a common data format for neutron, X-ray, and muon science. It
 is being developed as an international standard by scientists and
 programmers representing major scientific facilities in Europe, Asia,
 Australia, and North America in order to facilitate greater cooperation
 in the analysis and visualization of neutron, X-ray, and muon data.
 .
 This is the package containing the development libraries.

Package: libnexus-java
Section: java
Architecture: all
Depends:
 libnexus-jni,
 ${misc:Depends},
Breaks: libnexus0-java
Replaces: libnexus0-java
Homepage: http://www.nexusformat.org/
Description: NeXus scientific data file format - java libraries
 NeXus is a common data format for neutron, X-ray, and muon science. It
 is being developed as an international standard by scientists and
 programmers representing major scientific facilities in Europe, Asia,
 Australia, and North America in order to facilitate greater cooperation
 in the analysis and visualization of neutron, X-ray, and muon data.
 .
 This is the package containing the java libraries.


Package: libnexus-jni
Section: java
Architecture: any
Depends:
 libnexus1 (= ${binary:Version}),
 ${misc:Depends},
 ${shlibs:Depends}
Breaks: libnexus0-java
Replaces: libnexus0-java
Homepage: http://www.nexusformat.org/
Description: NeXus scientific data file format - JNI library
 NeXus is a common data format for neutron, X-ray, and muon science. It
 is being developed as an international standard by scientists and
 programmers representing major scientific facilities in Europe, Asia,
 Australia, and North America in order to facilitate greater cooperation
 in the analysis and visualization of neutron, X-ray, and muon data.
 .
 This is the package containing the JNI libraries.

Package: nexus-tools
Architecture: any
Depends:
 libnexus1 (= ${binary:Version}),
 ${misc:Depends},
 ${shlibs:Depends}
Homepage: http://www.nexusformat.org/
Description: NeXus scientific data file format - applications
 NeXus is a common data format for neutron, X-ray, and muon science. It
 is being developed as an international standard by scientists and
 programmers representing major scientific facilities in Europe, Asia,
 Australia, and North America in order to facilitate greater cooperation
 in the analysis and visualization of neutron, X-ray, and muon data.
 .
 This is the package containing some applications for reading and writing
 NeXus files.

=== debian/rules ===
#!/usr/bin/make -f

# Enable additional hardening options.
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@ --buildsystem cmake

override_dh_auto_configure:
	dh_auto_configure -- -DENABLE_HDF5=1 -DENABLE_HDF4=1 -DENABLE_APPS=1 -DENABLE_CXX=1 -DENABLE_JAVA=1 -DCMAKE_POLICY_VERSION_MINIMUM=3.5
# 	-DENABLE_MXML=1
# mxml 3.x breaks nexus, so disable it
# see https://github.com/nexusformat/code/issues/465

override_dh_makeshlibs:
	dh_makeshlibs -X /usr/lib/jni

=== debian/tests/control ===
Tests: nexus-tools
Depends:
 nexus-tools,

Tests: libnexus-dev
Depends:
 build-essential,
 cmake,
 libnexus-dev,
 pkg-config,

Tests: libnexus-java
Depends:
 libnexus-java,
 default-jdk-headless,

=== debian/watch ===
version=4

opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%@PACKAGE@-$1.tar.gz%" \
   https://github.com/nexusformat/code/tags (?:.*?/)?v?(\d[\d.]*)\.tar\.gz
